<?php
/**
* Copyright (C) 2017-2019 Petr Hucik <petr@getdatakick.com>
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@getdatakick.com so we can send you a copy immediately.
*
* @author    Petr Hucik <petr@getdatakick.com>
* @copyright 2017-2019 Petr Hucik
* @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/

namespace AdvDebug;

class AppTranslation
{
    private $module;

    public function __construct($module)
    {
        $this->module = $module;
    }

    public function getFrontTranslations()
    {
        return $this->changed(array(
        ));
    }

    public function getBackTranslations()
    {
        return $this->changed(array("Agree to terms and conditions" => $this->l('Agree to terms and conditions'),
"Cancel" => $this->l('Cancel'),
"Changes in new version:" => $this->l('Changes in new version:'),
"Check for updates" => $this->l('Check for updates'),
"Checking for new version of this module" => $this->l('Checking for new version of this module'),
"Close" => $this->l('Close'),
"Contact permission" => $this->l('Contact permission'),
"Contact" => $this->l('Contact'),
"Copy" => $this->l('Copy'),
"Download latest version" => $this->l('Download latest version'),
"Email address" => $this->l('Email address'),
"Failed to copy link to clipboard" => $this->l('Failed to copy link to clipboard'),
"Following link will enable debug mode for %s" => $this->l('Following link will enable debug mode for %s'),
"I agree" => $this->l('I agree'),
"I also offer [1]%s support[/1] a [2]custom development[/2] services. If you are looking for an experienced %s developer then look no further. Send me an email, I would be happy to help." => $this->l('I also offer [1]%s support[/1] a [2]custom development[/2] services. If you are looking for an experienced %s developer then look no further. Send me an email, I would be happy to help.'),
"If you find any bug or have feature request then please post it on [1]forum[/1] dedicated to this module. Or simply send me an [2]email[/2]" => $this->l('If you find any bug or have feature request then please post it on [1]forum[/1] dedicated to this module. Or simply send me an [2]email[/2]'),
"Invalid number" => $this->l('Invalid number'),
"Link has been copied to the clipboard" => $this->l('Link has been copied to the clipboard'),
"Marketing offers" => $this->l('Marketing offers'),
"New module version is available" => $this->l('New module version is available'),
"New release notification" => $this->l('New release notification'),
"New version [1]%s[/1] is available. Last check %s" => $this->l('New version [1]%s[/1] is available. Last check %s'),
"No information available. Please click on [1]Check for updates[/1] button to check for new version of this module" => $this->l('No information available. Please click on [1]Check for updates[/1] button to check for new version of this module'),
"Open" => $this->l('Open'),
"Permanent" => $this->l('Permanent'),
"Please enter your contact email address" => $this->l('Please enter your contact email address'),
"Please read carefully and agree to our [1]terms and conditions[/1] before you start using this module." => $this->l('Please read carefully and agree to our [1]terms and conditions[/1] before you start using this module.'),
"Profiles" => $this->l('Profiles'),
"Save changes" => $this->l('Save changes'),
"Start using module" => $this->l('Start using module'),
"Support" => $this->l('Support'),
"Temporary" => $this->l('Temporary'),
"Thank you for installing [1]Advanced Debug Mode[/1] module. We are very happy to have you aboard." => $this->l('Thank you for installing [1]Advanced Debug Mode[/1] module. We are very happy to have you aboard.'),
"Tutorials and suggestions" => $this->l('Tutorials and suggestions'),
"Update module" => $this->l('Update module'),
"We need your permission to contact you in [1]emergency[/1] situations, for example if we discover a serious [2]security[/2] bug" => $this->l('We need your permission to contact you in [1]emergency[/1] situations, for example if we discover a serious [2]security[/2] bug'),
"We promise that we will [1]not disclose[/1] your email address to anyone or use it to [2]spam[/2] you. We will not send you automated [3]marketing[/3] emails unless you [4]opt-in[/4] for it.[5][/5]You can read our [6]privacy policy[6] here." => $this->l('We promise that we will [1]not disclose[/1] your email address to anyone or use it to [2]spam[/2] you. We will not send you automated [3]marketing[/3] emails unless you [4]opt-in[/4] for it.[5][/5]You can read our [6]privacy policy[6] here.'),
"What emails can we send you?" => $this->l('What emails can we send you?'),
"You can contact me" => $this->l('You can contact me'),
"You have latest version [1]%s[/1] of this module. Last check %s" => $this->l('You have latest version [1]%s[/1] of this module. Last check %s'),
"learn how to utilize this module to its full potential" => $this->l('learn how to utilize this module to its full potential'),
"we can send you discount offers or deals" => $this->l('we can send you discount offers or deals'),
"we will let you know when new version is available" => $this->l('we will let you know when new version is available')
        ));
    }

    private function l($str)
    {
        return html_entity_decode($this->module->l($str, 'app-translation'));
    }

    private function changed($array)
    {
        $ret = array();
        foreach ($array as $key => $value) {
            if ($value != $key) {
                $ret[$key] = $value;
            }
        }
        return $ret;
    }
}
